Bug Hunting Session
Bug 52246 - Translations errors should not break the build
Summary: Translations errors should not break the build
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.6.2 target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 21:08 UTC by Andras Timar
Modified: 2012-12-21 14:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-07-18 21:08:07 UTC
Currently after each pull from Pootle I run a few checks on translations, and I have to correct fatal errors (build-breakers). See my checking scripts at http://cgit.freedesktop.org/~timar/l10n-scripts/

You can see how fatal errors are found by gsicheck. The task is to use gsicheck's functionality build-time (see especially tagtest.cxx). When strings are merged from translations to translated source files, they should be checked, and if they contain fatal error, then English strings should be copied instead of the build-breaker translations. A warning message should be printed to stderr.

This way I don't have to correct translation bugs, I can send the error log to translators and let them correct the bugs. Strings with errors will not be integrated, that's the only penalty. Way better that correct errors manually or leave out a whole language from the update, because of 3-4 broken strings.
Comment 1 Not Assigned 2012-09-10 12:19:45 UTC
Andras Bartek committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3b927787f3643f9e584cc80c974d5f907a94858&g=libreoffice-3-6

fdo#52246 let helpex use gsicheck's tag checker


It will be available in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2012-09-28 12:02:30 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b97644bab0e9106b798a5b8969aa796e558ef3f

Revert "fdo#52246 let helpex use gsicheck's tag checker"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Andras Timar 2012-12-21 14:16:37 UTC
Andras Bartek's patch was reverted, but I solved the issue using libxml2 code for validation. See: http://cgit.freedesktop.org/libreoffice/core/commit/?id=deaceba0c27040ad9982b16e2be8745f6bd1605a